# ----------------------------------------------------------------------- #
# ---------------- Calcula las alarmas del sistema ---------------------- #
# ----- Input: predMH: serie de predicciones en n_long+n_pred       ----- #
# -----        lim_men: lmites para establecer los mensajes        ----- #
# -----        men_ant: mensajes de ltimos dos instantes           ----- #
# ----- Output: men: mensajes de alarma para n_long+n_pred 		  ----- #
# ----------------------------------------------------------------------- #
alarma_calc=function(predMH,lim_men,men_ant){
	men=apply(outer(predMH,lim_men,">="),1,sum)-1
# Criterios establecidos para el clculo de mensajes de SIPEI
	# al subir: sube de uno en uno
	men[men>men_ant[2,]]=men_ant[2,men>men_ant[2,]]+1
	# al bajar: comprueba con el mensaje de hace 2 instantes y baja de uno en uno
	aux=abs(men_ant[1,]-men_ant[2,])==1
	men[men<men_ant[2,]&aux]=men_ant[2,men<men_ant[2,]&aux]
	men[men<men_ant[2,]&!aux]=men_ant[2,men<men_ant[2,]&!aux]-1
	return(men)}
