# ----------------------------------------------------------------------
# ------------------ Rutina para prediccin binaria --------------------
# ----------------------------------------------------------------------
pred_binaria=function(medH,pred,miss,mod_bin){
	medH[medH==miss]=NA
	ind=which(!is.na(medH[1,])&!is.na(medH[2,]))
	for (i in ind){ #para cada estacin con dato
		aux=stats::predict(mod_bin[[i]],cbind(medH[2,i],medH[2,i]-medH[1,i]),
				type="response") # (X(t),X(t)-X(t-1))
		pred[i]=ifelse(aux<0.0000001,0,aux)}
	return(pred)}